POST /crm/channel/{channelLinkId}/customers/lookup

Headers

  • Accept string Required

Path parameters

  • channelLinkId string Required

    Channel link ID

application/json

Body Required

Retrieve a customer profile from the CRM via email

  • email string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id string
    • accountId string
    • externalId object
    • channel number
    • created string
    • updated string
    • contact object
      Hide contact attributes Show contact attributes object
      • email string
      • firstName string
      • lastName string
      • phone object
      • fullName string
POST /crm/channel/{channelLinkId}/customers/lookup
curl \
 --request POST 'https://api.staging.deliverect.com/crm/channel/{channelLinkId}/customers/lookup' \
 --header "Content-Type: application/json" \
 --header "Accept: application/json" \
 --data '{"email":"{crmProfileEmail}"}'
Request example
{
  "email": "{crmProfileEmail}"
}
Response examples (200)
{
  "id": "690e2d795db983ea662cec6a",
  "accountId": "68d81ae5bbd981dd03137bdd",
  "externalId": null,
  "channel": 10027,
  "created": "2025-11-07T17:33:45.805000Z",
  "updated": "2025-11-07T17:33:45.805000Z",
  "contact": {
    "email": "john.doe@example.com",
    "firstName": "John",
    "lastName": "Doe",
    "phone": null,
    "fullName": "John Doe"
  }
}